### Name: msmplot
### Title: Combined plot of the multistate model and the cumulative
###   hazards.
### Aliases: msmplot msmplot.mvna
### Keywords: device

### ** Examples

data(sir.cont)

sir.cont <- sir.cont[order(sir.cont$id, sir.cont$time), ]
for (i in 2:nrow(sir.cont)) {
  if (sir.cont$id[i]==sir.cont$id[i-1]) {
    if (sir.cont$time[i]==sir.cont$time[i-1]) {
      sir.cont$time[i-1] <- sir.cont$time[i-1] - 0.5
    }
  }
}

### Computation of the transition probabilities
# Possible transitions
tra <- matrix(ncol=3,nrow=3,FALSE)
tra[1, 2:3] <- TRUE
tra[2, c(1, 3)] <- TRUE

# mvna
temp <- mvna(sir.cont, c("0", "1", "2"), tra, "cens")

## Not run: 
##D msmplot(temp, width = c(0.25, 0.25, 0.2, 0.25),
##D         height = c(0.2, 0.2, 0.18, 0.2), lcex=0.8)
## End(Not run)



